## org.eclipse.amp.agf.chart
Class ChartEditPart.ChartModelListener

    java.lang.Object
      org.eclipse.amp.axf.core.AbstractLifecycleListener
          org.eclipse.amp.axf.view.SWTThreadModelListener
              org.eclipse.amp.axf.view.SWTAsyncModelListener
                  org.eclipse.amp.agf.chart.ChartEditPart.ChartModelListener

All Implemented Interfaces:
  ILifeCycleListener, IStateListener

Enclosing class:
  ChartEditPart

     class ChartEditPart.ChartModelListener

extends SWTAsyncModelListener

The listener interface for receiving chartModel events. The class that is interested in processing a chartModel event implements this interface, and the object created with that class is registered with a component using the component's `addChartModelListener`method. When the chartModel event occurs, that object's appropriate method is invoked.``

See Also:
  `ChartModelEvent`

Field Summary
`private static long` `serialVersionUID`

Fields inherited from class org.eclipse.amp.axf.view.SWTAsyncModelListener
`updating`

Fields inherited from class org.eclipse.amp.axf.view.SWTThreadModelListener
`widget`

Constructor Summary
`ChartEditPart.ChartModelListener()` Instantiates a new chart model listener.

Method Summary
`void` `observationEnd(IObservationProvider model)` Notifies that the model is no longer providing observations.
`void` `observeInitialize(IObservationProvider model)` Notifies that the model's initial state has been reached.
`void` `observeStart(IObservationProvider observed)` Notifies that the model is just starting execution.
`void` `observing(IObservationProvider observed)` Notifies that the model is now aware of this observer.
`void` `update(IModel model)` Update.

Methods inherited from class org.eclipse.amp.axf.view.SWTAsyncModelListener
`beginPainting, endPainting, forceModelNotify, isWaitForUpdate, setWaitForUpdate, stateChange`

Methods inherited from class org.eclipse.amp.axf.view.SWTThreadModelListener
`setWidget`

Methods inherited from class org.eclipse.amp.axf.core.AbstractLifecycleListener
`getListener, getName, observationEnding, observeCreate, observeStop, observeUpdate, setName, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

See Also:
  Constant Field Values

Constructor Detail

### ChartEditPart.ChartModelListener

    public ChartEditPart.ChartModelListener()

  Instantiates a new chart model listener.

Method Detail

### observing

    public void observing(IObservationProvider observed)

  Description copied from interface: `ILifeCycleListener`
  Notifies that the model is now aware of this observer. Note that models may defer addition of listeners so a listener adding itself to a model should not assume that it has actually been added until this notification has occurred.

  Specified by:
    `observing` in interface `ILifeCycleListener`
  Overrides:
    `observing` in class `AbstractLifecycleListener`
  Parameters:
    `observed` -
  See Also:
    `AbstractLifecycleListener.observing(org.eclipse.amp.axf.core.IObservationProvider)`

### observeStart

    public void observeStart(IObservationProvider observed)

  Description copied from interface: `ILifeCycleListener`
  Notifies that the model is just starting execution.

  Specified by:
    `observeStart` in interface `ILifeCycleListener`
  Overrides:
    `observeStart` in class `AbstractLifecycleListener`
  Parameters:
    `observed` -
  See Also:
    `AbstractLifecycleListener.observeStart(org.eclipse.amp.axf.core.IObservationProvider)`

### observeInitialize

    public void observeInitialize(IObservationProvider model)

  Description copied from interface: `ILifeCycleListener`
  Notifies that the model's initial state has been reached.

  Specified by:
    `observeInitialize` in interface `ILifeCycleListener`
  Overrides:
    `observeInitialize` in class `AbstractLifecycleListener`
  Parameters:
    `model` - the observed
  See Also:
    `AbstractLifecycleListener.observeInitialize(org.eclipse.amp.axf.core.IObservationProvider)`

### update

    public void update(IModel model)

  Description copied from class: `SWTThreadModelListener`
  Update.

  Specified by:
    `update` in class `SWTThreadModelListener`
  Parameters:
    `model` - the model
  See Also:
    `SWTThreadModelListener.update(org.eclipse.amp.axf.core.IModel)`

### observationEnd

    public void observationEnd(IObservationProvider model)

  Description copied from interface: `ILifeCycleListener`
  Notifies that the model is no longer providing observations. Typically it has been disposed at this point.

  Specified by:
    `observationEnd` in interface `ILifeCycleListener`
  Overrides:
    `observationEnd` in class `AbstractLifecycleListener`
  Parameters:
    `model` - the model removed event
  See Also:
    `AbstractLifecycleListener.observationEnd(org.eclipse.amp.axf.core.IObservationProvider)`

Copyright (C) 2007-2009 Metascape, LLC, 2009 Miles Parker, 2006-2007 Argonne National Labs, and Contributors